using System.Text.Json.Serialization;

namespace Engine.Asset.Font.Metadata;

[JsonSerializable(typeof(Atlas))]
[Serializable]
public record Atlas
{
  [JsonPropertyName("distanceRange")]
  [JsonInclude]
  public float DistanceRange { get; private set; }

  [JsonPropertyName("size")]
  [JsonInclude]
  public float Size { get; private set; }

  [JsonPropertyName("width")]
  [JsonInclude]
  public int Width { get; private set; }

  [JsonPropertyName("height")]
  [JsonInclude]
  public int Height { get; private set; }

  [JsonPropertyName("yOrigin")]
  [JsonInclude]
  public string YOrigin { get; private set; }
}